Page MenuHomeFreeBSD

D22952.id.diff
No OneTemporary

D22952.id.diff

Index: head/contrib/ncurses/ncurses/base/MKlib_gen.sh
===================================================================
--- head/contrib/ncurses/ncurses/base/MKlib_gen.sh
+++ head/contrib/ncurses/ncurses/base/MKlib_gen.sh
@@ -73,7 +73,7 @@
# determine if we are using gcc, and if so, what version because the proposed
# solution uses a nonstandard option.
PRG=`echo "$1" | $AWK '{ sub(/^[[:space:]]*/,""); sub(/[[:space:]].*$/, ""); print; }' || exit 0`
-FSF=`"$PRG" --version 2>/dev/null || exit 0 | fgrep "Free Software Foundation" | head -n 1`
+FSF=`("$PRG" --version 2>/dev/null || exit 0) | fgrep "Free Software Foundation" | head -n 1`
ALL=`"$PRG" -dumpversion 2>/dev/null || exit 0`
ONE=`echo "$ALL" | sed -e 's/\..*$//'`
if test -n "$FSF" && test -n "$ALL" && test -n "$ONE" ; then

File Metadata

Mime Type
text/plain
Expires
Sat, Jul 25, 6:55 PM (16 h, 26 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
35484593
Default Alt Text
D22952.id.diff (798 B)

Event Timeline